package com.yxcheng.token.common.enumutil;

/**
 *
 */
public enum ResultEnum implements ResultCode {

  ///////////////////////////////// 通用模块 /////////////////////////////////

    /**
     * 成功的返回值
     */
    ok("10000","操作成功！"),

    /**
     * 签名失败的返回值
     */
    sign_error("10001","签名结果错误"),

    verson_error("10002","版本号不正确"),

    time_diff_error("10003","时间差异超出范围"),

    sign_nonce_error("10004","SignatureNonce值已被使用过"),

    param_error("10005","请求参数不正确"),

    ip_role_error("10006","IP不在授权范围内"),

    id_valid_error("10007","身份验证失败"),

    no_inter_error("10008","未开通该接口"),

    time_fmt_error("10009","时间格式错误"),


    no_opt_taxno_error("10010","不能操作该税号"),


    fail("10011","操作失败！"),

    /**
     * 参数校验失败的返回值
     */

    /**
     * 无权限的返回值
     */
    unauthorized("10012","非法访问！"),

    /**
     * 权限不够的返回值
     */
    forbidden("10013","权限不够！"),

    /**
     * 找不到记录的返回值
     */
    notfound("10014","不存在！"),

    /**
     * 系统异常的返回值
     */
    system_error("10015","系统异常，请稍后再试！"),

    /**
     * session超时的返回值
     */
    request_timeout("10016","抱歉，您的请求超时了。"),

    /**
     * 请重新登录
     */
    login_error("10017","请重新登录！"),

    /**
     * 解密失败的返回值
     */
    decrypt_error("10018","解密失败。"),



    /**
     * 签名失败的返回值
     */
    session_key_error("10019","缺少sessionKey参数"),

    limit_access("10020","您已被限流，请稍后重试"),

    user_disvaild("10021","您的用户已经过期或停用"),


    ///////////////////////////////// user模块 /////////////////////////////////
    user_not_permission("11001","用户没有权限"),

    user_mismatch_rules("11002","用户不符合规则"),

    user_not_own_taxno("11003","用户没权限操作此税号"),

    ip_notin_whitelist("11003","ip不在白名单内"),

    taxno_in_blacklist("11004","该税号在黑名单内"),




    ///////////////////////////////// token模块 /////////////////////////////////

    zone_not_exist("12001","地区不存在"),

    token_not_obtained("12002", "token未获取"),

    user_taxno_not_exist("12003","用户没有此税号数据"),

    flush_error("12004", "刷新异常"),

    taxno_registered("12005", "税号已注册"),

    user_not_exist("12006", "用户不存在"),

    user_taxno_temp_stop("12007","此税号数据异常"),

    user_taxno_temp_disable("12008","此税号暂停"),

    taxno_status_error("12009","税号异常，请检查"),

    taxno_status_middle("12010","中间过程"),

    user_taxno_fpy_disable("12011","此税号为数字账户用户"),

    sms_parse_fail("12012","短信解析失败"),

    sms_push_fail("12013","短信推送失败"),

    user_taxno_waiting("12014","税号排队中"),

    ///////////////////////////////// scan模块 /////////////////////////////////

    no_verify_code("13001", "没有获取答案"),

    more_than_times("13002", "请求超过次数"),

    ///////////////////////////////// sign模块 /////////////////////////////////
    no_data("13001","无数据"),
	
    ///////////////////////////////// 手工打码 /////////////////////////////////
	verify_timeout("20201", "识别验证码超时，重新上传验证码或跳过"),
	
	 /**
     * 文件上传异常的返回值
     */
    file_upload_error("30001","上传异常，请稍后再试！"),
	 /**
     * 根据用户名获取税号列表为空
     */
    file_taxnos_error("30002","获取税号列表为空！"),
	
	 /**
     * 根据任务编号查询file,列表为空
     */
    file_taskno_error("30003","任务编号不存在或已反馈过！"),
	
	 /**
     * 重复下载数据超过5次，需要调用反馈接口进行反馈。
     */
    file_down_repeat_error("30004","重复下载数据超过5次，需要调用反馈接口进行反馈！可根据data节点中的任务编号反馈");

    private String code;

    private String message;

    ResultEnum(String code,String message) {
        this.code = code;
        this.message = message;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }

}
